Summary:	A tool for creating scanners (text pattern recognizers)
Name:		flex
Version:	2.5.33
Release:	%mkrel 3
License:	GPL
Group:		Development/Other
URL: 		http://flex.sourceforge.net/
Source:		ftp.gnu.org:/non-gnu/flex/flex-%version.tar.bz2
Patch0:		flex-2.5.4a-skel.patch
BuildRequires:	byacc autoconf2.1
Conflicts:	flex-reentrant
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
The flex program generates scanners. Scanners are
programs which can recognize lexical patterns in text.

Flex takes pairs of regular expressions and C code as input and
generates a C source file as output. The output file is compiled and
linked with a library to produce an executable.

The executable searches through its input for occurrences of the
regular expressions. When a match is found, it executes the
corresponding C code.

Flex was designed to work with both Yacc and Bison, and is used by
many programs as part of their build process.

You should install flex if you are going to use your system for
application development.

%prep
%setup -q
%patch0 -p1
# Force regeneration of skel.c with Patch2 changes
rm -f skel.c
# Force regeneration of configure script with --libdir= support
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

cd $RPM_BUILD_ROOT%{_bindir}
ln -sf flex lex

cd $RPM_BUILD_ROOT%{_mandir}/
cd man1
ln -s flex.1 lex.1
ln -s flex.1 flex++.1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,755)
%doc COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/libfl.a
%{_includedir}/FlexLexer.h
%{_infodir}/*




%changelog
* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.33-3mdv2008.1
+ Revision: 149727
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.5.33-2mdv2007.0
+ Revision: 108195
- use find-lang

* Tue Oct 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.5.33-1mdv2007.1
+ Revision: 71736
- New version of flex.
  Remove obsolete patches, and add info pages and localized messages.

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup
    - bunzip patches
    - Import flex

* Mon Jul 03 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.4a-25mdv2007.0
- make it conflict with flex-reentrant

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 2.5.4a-24mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.5.4a-23mdk
- Rebuild

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.4a-22mdk
- fix buildrequires
- wipe out buildroot in %%install, not %%prep

